View Issue Details

IDProjectCategoryView StatusLast Update
0021223mantisbtuipublic2016-08-28 01:11
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.0.0-beta.2Fixed in Version2.0.0-beta.2 
Summary0021223: "Report Issue" button on top toolbar should be hidden for VIEWER/anonymous users
Description

In the case of anonymous access (typically viewer), the button to create an issue should be visible.

Also when clicking the button as it is today, an unformatted page is shown as below:
http://www.screencast.com/t/TKvBtYVb

Tagsmodern-ui

Activities

atrol

atrol

2016-07-10 17:35

developer   ~0053558

What was the reason to implement this button? Because there are some users that use it quite often?
It is redundant to what we have on the left tool bar.

I would like to see it removed in a first step.
After that we could start to think about a concept like "My Favorite Button" where users can set their favorite functions.

vboctor

vboctor

2016-07-22 09:27

manager   ~0053693

PR: https://github.com/mantisbt/mantisbt/pull/824

vboctor

vboctor

2016-07-22 20:02

manager   ~0053698

@atrol I just noticed 0021223:0053558 based on your PR comment. Here are the reasons:

  1. Reporting issues is a common and main task, having a single click for it is a good thing for all users.
  2. I've noticed that new users are a bit confused about how to create issues and invite users. This button helped with reducing such confusion.
  3. Competitors like JIRA have the same "Create" button that creates issues, wiki pages, etc depending on the module used.

If in the future, we want to allow users or plugins to determine what buttons to show there, then we can add such functionality, rather than removing what we have now. We can even have a button with a drop down where a single click can create issue, but two clicks can do other actions.

atrol

atrol

2016-07-23 15:19

developer   ~0053700

@vboctor

  1. Reporting issues is a common and main task, having a single click for it is a good thing for all users.

I don't get the point. We have "Report Issue" on the side bar to report issues with a single click.
Redundant UI elements for the same thing are confusing.

  1. I've noticed that new users are a bit confused about how to create issues and invite users. This button helped with reducing such confusion.

Having "Report Issue" as the first entry of the side bar might be enough for it.
Another option could be to remove "Report Issue" from side bar.
Not sure I like it, as we should have a clear rule which entries are in the side bar and which ones are on the top of the page.

"Invite Users" is something that is not that often used in some (most?) scenarios
Furthermore it's confusing that exactly the same function is called "Create New Account" on "Manage User" page.

Related Changesets

MantisBT: master e32fda76

2016-07-22 09:26:55

vboctor

Details Diff
Hide ‘Report Issue’ when user doesn’t have access

Fixes 0021223
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2016-07-10 17:17 vboctor New Issue
2016-07-10 17:17 vboctor Status new => assigned
2016-07-10 17:17 vboctor Assigned To => syncguru
2016-07-10 17:35 atrol Note Added: 0053558
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-07-20 20:51 vboctor Tag Attached: modern-ui
2016-07-22 09:27 vboctor Assigned To syncguru => vboctor
2016-07-22 09:27 vboctor Note Added: 0053693
2016-07-22 19:55 vboctor Changeset attached => MantisBT master e32fda76
2016-07-22 19:55 vboctor Status assigned => resolved
2016-07-22 19:55 vboctor Resolution open => fixed
2016-07-22 19:55 vboctor Fixed in Version => 2.0.0-beta.2
2016-07-22 20:02 vboctor Note Added: 0053698
2016-07-23 15:19 atrol Note Added: 0053700
2016-08-28 01:11 vboctor Status resolved => closed